AWS+BitnamiWordPress環境でLet’sEncryptを更新した

Posted by user on Monday, July 15, 2019

TOC

はじめに

AWS・BitnamiのWordpressを使っているんですが、Let’sEncryptの更新が失敗したので更新手順をまとめます。

急に安全ではない接続になった

ある日ブログを見たらHTTPS対応しているはずなのに鍵マークに黄色い△マークが・・・。この接続は安全ではありませんとの表示もされているのでLet’sEncryptのはじめての更新(3ヶ月毎更新)に失敗したのだろうと察し、直しました。

更新をしてみるとエラーが発生

手作業で更新をしてみると以下のエラーが発生。初回の発行コマンドでもダメ。前回こんなの発生した記憶ないけど何か変わったんでしょうか。

./letsencrypt-auto has insecure permissions!

修正手順

ほぼ

こちらの手順通りでうまくいきました。
Let’sEncryptをキレイに再インストールしたかったのですが、既存のLet’sEncryptがインストールされた場所からの削除・今のドメインの失効コマンドは諦め(上記と同様のエラーが発生するため)。
やや汚いですが完了とします。次回更新うまくいくと良いな・・・